golang-google-cloud (0.123.0-4) unstable; urgency=medium

  * Team upload.
  * No changes source upload to get go.mod files ships.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 16 Jul 2026 22:31:52 +0200

golang-google-cloud (0.123.0-3) unstable; urgency=medium

  * Team upload
  * Need genproto>=0.0~git20260414)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 23 Apr 2026 08:58:35 +0200

golang-google-cloud (0.123.0-2) unstable; urgency=medium

  * Team upload
  * Need golang-google-api-dev>=0.276.0
  * Breaks golang-google-genproto<0.0~git20260414.afd174a

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Apr 2026 22:13:16 +0200

golang-google-cloud (0.123.0-1) unstable; urgency=medium

  * Team upload
  * Tweak DH_GOLANG_EXCLUDES
  * Refresh opentelemtry/gcp patch
  * Drop directpath patches
  * Standards-Version: 4.7.4
  * Bump debian/* copyright years
  * Drop DH_VERBOSE
  * Use dh-sequence-golang
  * Drop obsolete lintian-overrides
  * Add d/u/metadata
  * Increase test timeout 10m->30m for riscv64
  * Drop Depends:${shlibs:Depends}
  * Use gbp sign-tags
  * Fix pubsub i386 FTBFS

 -- Simon Josefsson <simon@josefsson.org>  Sun, 19 Apr 2026 14:03:28 +0200

golang-google-cloud (0.117.0-5) unstable; urgency=medium

  * Use watch v5
  * Fix tests on i386 by ignoring failures

 -- Simon Josefsson <simon@josefsson.org>  Sat, 21 Mar 2026 23:19:44 +0100

golang-google-cloud (0.117.0-4) unstable; urgency=medium

  * Team upload
  * Don't exclude spanner/testdata
  * Fix i386 builds

 -- Simon Josefsson <simon@josefsson.org>  Fri, 20 Mar 2026 10:37:32 +0100

golang-google-cloud (0.117.0-3) unstable; urgency=medium

  * debian/rules: remove internal/gapicgen/execv/gocmd from
    DH_GOLANG_EXCLUDES to make dh-golang-autopkgtest happy.
    (Closes: #1130249)
  * debian/rules: sort DH_GOLANG_EXCLUDES.
  * debian/rules: re-enable internal/aliasgen.
  * debian/rules: re-enable pubsub/pstest.
  * debian/rules: clean up DH_GOLANG_EXCLUDES.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 16 Mar 2026 13:13:46 +0100

golang-google-cloud (0.117.0-2) unstable; urgency=medium

  * Revert "debian/rules: use execute_before_dh_auto_build instead of
    execute_after_dh_auto_configure to make dh-golang-autopkgtest works."
  * debian/rules: check folder existence for autopkgtest.
    (Closes: #1130249)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 10 Mar 2026 12:19:16 +0100

golang-google-cloud (0.117.0-1) unstable; urgency=medium

  * debian/rules: use execute_before_dh_auto_build instead of
    execute_after_dh_auto_configure to make dh-golang-autopkgtest works.
  * debian/rules: drop executable bits after dh_fixperms.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 09 Mar 2026 13:20:09 +0100

golang-google-cloud (0.117.0-1~exp0) experimental; urgency=medium

  * New upstream version 0.117.0.
    Features:
    - internal/trace: Remove previously deprecated OpenCensus support.
    - transport: Remove deprecated EXPERIMENTAL OpenCensus trace context
      propagation.
    Submodule versions:
    - accessapproval: v1.8.2
    - accesscontextmanager: v1.9.2
    - advisorynotifications: v1.5.2
    - ai: v0.9.0
    - aiplatform: v1.69.0
    - alloydb: v1.14.0
    - analytics: v0.25.2
    - apigateway: v1.7.2
    - apigeeconnect: v1.7.2
    - apigeeregistry: v0.9.2
    - apihub: v0.1.2
    - apikeys: v1.2.2
    - appengine: v1.9.2
    - apphub: v0.2.2
    - apps: v0.5.2
    - area120: v0.9.2
    - artifactregistry: v1.16.0
    - asset: v1.20.3
    - assuredworkloads: v1.12.2
    - auth: v0.13.0
    - automl: v1.14.3
    - backupdr: v1.2.1
    - baremetalsolution: v1.3.2
    - batch: v1.11.4
    - beyondcorp: v1.1.2
    - bigquery: v1.65.0
    - bigtable: v1.33.0
    - billing: v1.20.0
    - binaryauthorization: v1.9.2
    - certificatemanager: v1.9.2
    - channel: v1.19.1
    - chat: v0.9.0
    - cloudbuild: v1.19.1
    - cloudcontrolspartner: v1.2.1
    - clouddms: v1.8.2
    - cloudprofiler: v0.4.2
    - cloudquotas: v1.2.0
    - cloudtasks: v1.13.2
    - commerce: v1.2.1
    - compute: v1.31.0
    - confidentialcomputing: v1.8.0
    - config: v1.2.0
    - contactcenterinsights: v1.16.0
    - container: v1.42.0
    - containeranalysis: v0.13.2
    - datacatalog: v1.24.0
    - dataflow: v0.10.2
    - dataform: v0.10.2
    - datafusion: v1.8.2
    - datalabeling: v0.9.2
    - dataplex: v1.20.0
    - dataproc: v2.10.0
    - dataqna: v0.9.2
    - datastore: v1.20.0
    - datastream: v1.12.0
    - deploy: v1.26.0
    - developerconnect: v0.3.0
    - dialogflow: v1.63.0
    - discoveryengine: v1.16.0
    - dlp: v1.20.0
    - documentai: v1.35.0
    - domains: v0.10.2
    - edgecontainer: v1.4.0
    - edgenetwork: v1.2.2
    - errorreporting: v0.3.2
    - essentialcontacts: v1.7.2
    - eventarc: v1.15.0
    - filestore: v1.9.2
    - firestore: v1.17.0
    - functions: v1.19.2
    - gkebackup: v1.6.2
    - gkeconnect: v0.12.0
    - gkehub: v0.15.2
    - gkemulticloud: v1.4.1
    - grafeas: v0.3.12
    - gsuiteaddons: v1.7.2
    - iam: v1.3.0
    - iap: v1.10.2
    - identitytoolkit: v0.2.2
    - ids: v1.5.2
    - iot: v1.8.2
    - kms: v1.20.2
    - language: v1.14.2
    - lifesciences: v0.10.2
    - logging: v1.12.0
    - longrunning: v0.6.3
    - managedidentities: v1.7.2
    - managedkafka: v0.3.0
    - maps: v1.17.0
    - mediatranslation: v0.9.2
    - memcache: v1.11.2
    - metastore: v1.14.2
    - migrationcenter: v1.1.2
    - monitoring: v1.22.0
    - netapp: v1.5.0
    - networkconnectivity: v1.16.0
    - networkmanagement: v1.17.0
    - networksecurity: v0.10.2
    - networkservices: v0.2.2
    - notebooks: v1.12.2
    - optimization: v1.7.2
    - oracledatabase: v0.1.2
    - orchestration: v1.11.2
    - orgpolicy: v1.14.1
    - osconfig: v1.14.2
    - oslogin: v1.14.2
    - parallelstore: v0.9.0
    - phishingprotection: v0.9.2
    - policysimulator: v0.3.2
    - policytroubleshooter: v1.11.2
    - privatecatalog: v0.10.2
    - privilegedaccessmanager: v0.2.2
    - profiler: v0.4.2
    - pubsub: v1.45.3
    - pubsublite: v1.8.2
    - rapidmigrationassessment: v1.1.2
    - recaptchaenterprise: v2.19.1
    - recommendationengine: v0.9.2
    - recommender: v1.13.2
    - redis: v1.17.2
    - resourcemanager: v1.10.2
    - resourcesettings: v1.8.2
    - retail: v1.19.1
    - run: v1.8.0
    - scheduler: v1.11.2
    - secretmanager: v1.14.2
    - securesourcemanager: v1.3.0
    - security: v1.18.2
    - securitycenter: v1.35.2
    - securitycentermanagement: v1.1.2
    - securityposture: v0.2.2
    - servicecontrol: v1.14.2
    - servicedirectory: v1.12.2
    - servicehealth: v1.2.0
    - servicemanagement: v1.10.2
    - serviceusage: v1.9.2
    - shell: v1.8.2
    - shopping: v0.13.0
    - spanner: v1.73.0
    - speech: v1.25.2
    - storage: v1.48.0
    - storageinsights: v1.1.2
    - storagetransfer: v1.11.2
    - streetview: v0.2.2
    - support: v1.1.2
    - talent: v1.7.2
    - telcoautomation: v1.1.2
    - texttospeech: v1.10.0
    - tpu: v1.7.2
    - trace: v1.11.2
    - translate: v1.12.2
    - vertexai: v0.13.2
    - video: v1.23.2
    - videointelligence: v1.12.2
    - vision: v2.9.2
    - visionai: v0.4.2
    - vmmigration: v1.8.2
    - vmwareengine: v1.3.2
    - vpcaccess: v1.8.2
    - webrisk: v1.10.2
    - websecurityscanner: v1.7.2
    - workflows: v1.13.2
    - workstations: v1.1.2
  * debian/control: refine dependency. Drop golang-github-census-
    instrumentation-opencensus-proto-dev due to dead upstream.
    (Closes: #1128824)
  * 0005-drop-missing-opentelemetry-contrib-detectors-gcp.patch: drop
    depends on missing detectors/gcp to match opentelemetry-contrib
    package in debian.
  * debian/rules: do not build new binary in this release.
  * debian/rules: adjust disabled tests for new upstream release.
    (Closes: #1128909)
  * debian/control: add myself as uploader.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 05 Mar 2026 13:16:52 +0100

golang-google-cloud (0.115.0-3) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: update corresponding debian branch.
    (Closes: #1129461).
  * debian/rules: skip TestStressSessionPool that random fails.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 02 Mar 2026 14:14:50 +0100

golang-google-cloud (0.115.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 24 Feb 2026 14:50:10 +0100

golang-google-cloud (0.115.0-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 23 Feb 2026 10:31:58 +0100

golang-google-cloud (0.115.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * Sync dependency from build-deps and run
    wrap-and-sort --wrap-always --trailing-comma.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 17 Feb 2026 08:24:57 +0100

golang-google-cloud (0.115.0-1~exp1) experimental; urgency=medium

  * debian/control: drop Priority: optional (now the default).
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/control: bump to Standards-version to 4.7.3.
  * debian/control: bump deps to golang-google-api-dev (>= 0.214.0~).
  * debian/control: clean up dependency.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 15 Feb 2026 15:56:52 +0100

golang-google-cloud (0.115.0-1~exp0) experimental; urgency=medium

  * Team upload.

  [ Peymaneh Nejad ]
  * New upstream version 0.83.0.
  * d/rules:
    - do not install binaries
    - exclude disfunctional packages
    - exclude third_party modules
  * d/control: update dependencies

  [ Andrew Lee (李健秋) ]
  * New upstream version 0.115.0. (Closes: #991942)
    - accessapproval: v1.7.7
    - accesscontextmanager: v1.8.7
    - advisorynotifications: v1.4.1
    - ai: v0.6.0
    - aiplatform: v1.68.0
    - alloydb: v1.10.2
    - analytics: v0.23.2
    - apigateway: v1.6.7
    - apigeeconnect: v1.6.7
    - apigeeregistry: v0.8.5
    - apikeys: v1.1.7
    - appengine: v1.8.7
    - apphub: v0.1.1
    - apps: v0.4.2
    - area120: v0.8.7
    - artifactregistry: v1.14.9
    - asset: v1.19.1
    - assuredworkloads: v1.11.7
    - auth: v0.5.1
    - automl: v1.13.7
    - backupdr: v0.1.1
    - baremetalsolution: v1.2.6
    - batch: v1.8.7
    - beyondcorp: v1.0.6
    - bigquery: v1.61.0
    - bigtable: v1.24.0
    - billing: v1.18.5
    - binaryauthorization: v1.8.3
    - certificatemanager: v1.8.1
    - channel: v1.17.7
    - chat: v0.1.1
    - cloudbuild: v1.16.1
    - cloudcontrolspartner: v0.2.1
    - clouddms: v1.7.6
    - cloudprofiler: v0.3.2
    - cloudquotas: v0.2.1
    - cloudtasks: v1.12.8
    - commerce: v1.0.0
    - compute: v1.27.0
    - confidentialcomputing: v1.5.1
    - config: v1.0.0
    - contactcenterinsights: v1.13.2
    - containeranalysis: v0.11.6
    - container: v1.37.0
    - datacatalog: v1.20.1
    - dataflow: v0.9.7
    - dataform: v0.9.4
    - datafusion: v1.7.7
    - datalabeling: v0.8.7
    - dataplex: v1.16.0
    - dataproc: v2.4.2
    - dataqna: v0.8.7
    - datastore: v1.17.1
    - datastream: v1.10.6
    - deploy: v1.19.0
    - dialogflow: v1.54.0
    - discoveryengine: v1.8.0
    - dlp: v1.14.0
    - documentai: v1.30.0
    - domains: v0.9.7
    - edgecontainer: v1.2.1
    - edgenetwork: v0.2.4
    - errorreporting: v0.3.0
    - essentialcontacts: v1.6.8
    - eventarc: v1.13.6
    - filestore: v1.8.3
    - firestore: v1.15.0
    - functions: v1.16.2
    - gkebackup: v1.5.0
    - gkeconnect: v0.8.7
    - gkehub: v0.14.7
    - gkemulticloud: v1.2.0
    - grafeas: v0.3.6
    - gsuiteaddons: v1.6.7
    - iam: v1.1.8
    - iap: v1.9.6
    - ids: v1.4.7
    - iot: v1.7.7
    - kms: v1.17.1
    - language: v1.12.5
    - lifesciences: v0.9.7
    - logging: v1.10.0
    - longrunning: v0.5.7
    - managedidentities: v1.6.7
    - managedkafka: v0.1.0
    - maps: v1.11.1
    - mediatranslation: v0.8.7
    - memcache: v1.10.7
    - metastore: v1.13.6
    - migrationcenter: v1.0.0
    - monitoring: v1.19.0
    - netapp: v1.1.0
    - networkconnectivity: v1.14.6
    - networkmanagement: v1.13.2
    - networksecurity: v0.9.7
    - networkservices: v0.1.1
    - notebooks: v1.11.5
    - optimization: v1.6.5
    - orchestration: v1.9.2
    - orgpolicy: v1.12.3
    - osconfig: v1.12.7
    - oslogin: v1.13.3
    - parallelstore: v0.3.0
    - phishingprotection: v0.8.7
    - policysimulator: v0.2.5
    - policytroubleshooter: v1.10.5
    - privatecatalog: v0.9.7
    - profiler: v0.4.0
    - pubsub: v1.38.0
    - pubsublite: v1.8.2
    - rapidmigrationassessment: v1.0.7
    - recaptchaenterprise: v2.13.0
    - recommendationengine: v0.8.7
    - recommender: v1.12.3
    - redis: v1.16.0
    - resourcemanager: v1.9.7
    - resourcesettings: v1.7.0
    - retail: v1.17.0
    - run: v1.3.7
    - scheduler: v1.10.8
    - secretmanager: v1.13.1
    - securesourcemanager: v0.1.5
    - securitycenter: v1.30.0
    - securitycentermanagement: v0.2.1
    - security: v1.17.0
    - securityposture: v0.1.3
    - servicecontrol: v1.13.2
    - servicedirectory: v1.11.7
    - servicehealth: v1.0.0
    - servicemanagement: v1.9.8
    - serviceusage: v1.8.6
    - shell: v1.7.7
    - shopping: v0.8.1
    - spanner: v1.63.0
    - speech: v1.23.1
    - storage: v1.42.0
    - storageinsights: v1.0.7
    - storagetransfer: v1.10.6
    - streetview: v0.1.0
    - support: v1.0.6
    - talent: v1.6.8
    - telcoautomation: v0.2.2
    - texttospeech: v1.7.7
    - tpu: v1.6.7
    - trace: v1.10.7
    - translate: v1.10.3
    - vertexai: v0.11.0
    - video: v1.21.0
    - videointelligence: v1.11.7
    - visionai: v0.2.0
    - vision: v2.8.2
    - vmmigration: v1.7.7
    - vmwareengine: v1.1.3
    - vpcaccess: v1.7.7
    - webrisk: v1.9.7
    - websecurityscanner: v1.6.7
    - workflows: v1.12.6
    - workstations: v1.0.0
  * Drop backport patches that already included in upstreeam.
  * Drop 0001-skip-tests-which-need-network-access.patch. Skip in d/rules
    instead.
  * debian/control: fix missing comma and update build-deps.
  * Run wrap-and-sort --wrap-always --trailing-comma.
  * debian/rules: update DH_GOLANG_EXCLUDES that only excludes binaries,
    tests and internal/aliasgen that required more build-deps.
  * debian/rules: move dataproc, recaptcha and vision submodule directory
    into the 'v2' folder to workaround FTBFS.
  * debian/rules: disable tests that failed to write and require Cloud
    Credentials/Network (Auth/Dial/etc).
  * 0001-bump-arrow-go-version-v18.patch: use already packaged v18 arrow
    package in debian.
  * 0002-drop-versioned-path.patch: to fit path with build-dep debian
    package.
  * 0003-disable-directpath-spanner.patch: disable directpath in spanner
    to bypass broken xds compilation.
  * debian/rules: drop executable bits to make lintian happy.
  * debian/copyright: update. Add missing BSD-3-clause.
  * debian/copyright: added myself.
  * debian/rules: enable bigtable submodule without build binary and
    tests.
  * 0004-disable-directpath-bigtable.patch: disable directpath in bigtable
    to bypass broken xds compilation.
  * Releasing debian version 0.115.0-1~exp0.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Feb 2026 18:50:27 +0100

golang-google-cloud (0.56.0-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS issues on 32bit systems (Closes: #1103084):
    - Cherry-pick upstream fix
    - Comment out skipped test body that fails to compile
    - Skip another test that would be too much effort to fix for 32bit systems

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 21 Apr 2025 15:56:46 +0000

golang-google-cloud (0.56.0-5) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 06:59:23 +0200

golang-google-cloud (0.56.0-4) experimental; urgency=medium

  * Team upload
  * Compile against grpc 1.64, closes: #1074133
    Disabled a bunch of packages that no longer build with the newer grpcproto:
    - asset/v1beta
    - cloudbuild/apiv1
    - spanner
    - expr/apiv1alpha1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 Jun 2024 17:53:49 -0400

golang-google-cloud (0.56.0-3) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * d/control:
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends
    - Add Multi-Arch: foreign
    - Bump Standards-Version (no changes needed)
  * Cleanup lintian overrides

  [ Shengjing Zhu ]
  * Fix uscan watch

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 04 Jan 2023 22:53:30 +0000

golang-google-cloud (0.56.0-2) unstable; urgency=medium

  * Team upload.
  * Backport testEqual function to fix tests with grpc-go 1.32.0
  * Drop google.golang.org/cloud compatibility
  * Update Section to golang
  * Update Standards-Version to 4.6.1 (no changes)
  * Bump debhelper compat to 13
  * Exclude busybench and benchwrapper binaries when building

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Oct 2022 19:05:37 +0800

golang-google-cloud (0.56.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.56.0 (Closes: #954532)
  * Remove 0003-spanner-session-client-should-return-Spanner-errors.patch.
    Applied in new version
  * Bump golang-google-genproto-dev to 0.0~git20200413.b5235f6
  * Excludes all cmd packages
  * Bump golang-google-api-dev to 0.21.0
  * Remove vendor rsc.io/binaryregexp
  * Add patch to skip tests which need network access

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Apr 2020 03:46:30 +0800

golang-google-cloud (0.49.0-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * dev: fixed "golang-google-api-dev" dependency versioning.

  [ Anthony Fok ]
  * New upstream version 0.49.0
  * Update matching-pattern in debian/watch so that it would match,
    for example, v0.43.0 instead of logging/v1.0.0.
    See https://code-review.googlesource.com/c/gocloud/+/41530
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update dependencies as per go.mod
  * Add 0003-spanner-session-client-should-return-Spanner-errors.patch
    from upstream to prevent TestBatchCreateSessions_WithTimeout error.
    See https://github.com/googleapis/google-cloud-go/issues/1719#issuecomment-571797058

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 05:48:29 -0700

golang-google-cloud (0.43.0-1) unstable; urgency=medium

  * New upstream version 0.43.0
  * Fix typo in debian/gbp.conf: upstream+ng → upstream-ng
  * Change "Xs-Go-Import-Path" to "XS-Go-Import-Path" in debian/control
  * Update debian/watch
  * Add myself to the list of Uploaders
  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Update dependencies according to go.mod
  * Update and simplify DH_GOLANG_INSTALL_EXTRA variable in debian/rules
    with the help of dh-golang (>= 1.31~)
  * Update DH_GOLANG_EXCLUDES: unexclude "vision"
    and exclude "pubsub/internal/longtest"
  * No longer install AUTHORS and CONTRIBUTORS as docs
    because these files have been removed upstream in commit 2a23725
  * Remove all debian/patches files from version 0.9.0
  * Include our own copy of rsc.io/binaryregexp 0.2.0 in vendor/
    until we have golang-rsc-binaryregexp properly packaged for Debian
  * Add Lintian overrides for source-is-missing for upstream
    cmd/go-cloud-debug-agent/internal/debug binary object testdata
  * Replace dpkg-maintscript-helper symlink_to_dir calls in
    golang-google-cloud-compute-metadata-dev.{preinst,postinst,postrm}
    with debian/golang-google-cloud-compute-metadata-dev.maintscript.
    Fix Lintian maintainer-script-should-not-use-dpkg-maintscript-helper
    warnings.

 -- Anthony Fok <foka@debian.org>  Fri, 02 Aug 2019 02:07:11 -0600

golang-google-cloud (0.9.0-10) unstable; urgency=medium

  * Team upload.
  * Skip very flaky test (Closes: #907907)
    Thanks to Santiago Vila for the patch

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 14 Apr 2019 23:59:37 -0500

golang-google-cloud (0.9.0-9) unstable; urgency=high

  * Team upload.
  * Update golang-google-genproto-dev dependency to 0.0~git20190111.db91494
    (Closes: #921580)

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 06 Feb 2019 19:02:17 -0600

golang-google-cloud (0.9.0-8) unstable; urgency=high

  * Team upload.
  * Remove speech/apiv1beta as it has been removed upstream (Closes: #920009)
  * Add patches to fix build failures:
    * bigtable client changes
    * spanner proto changes and tests
    * profiler mock change
  * Add dependency on golang-github-google-go-cmp-dev to allow for a test to
    be backported

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 05 Feb 2019 02:23:07 -0600

golang-google-cloud (0.9.0-7) unstable; urgency=medium

  * Team upload.
  * Bump golang-google-api-dev in -dev Depends.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 14:29:08 +0800

golang-google-cloud (0.9.0-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Shengjing Zhu ]
  * Update team mail address to team+pkg-go@tracker.debian.org.
  * Update Standards-Version to 4.2.1. (no changes)
  * Update debhelper and compat to 11.
  * Add patch to fix build with golang-google-api-dev 0.0~git20180916.19ff876
  * Bump golang-google-api-dev to 0.0~git20180916.19ff876.
  * Remove examples, no longer provided by upstream.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 02:53:24 +0800

golang-google-cloud (0.9.0-5) unstable; urgency=medium

  * debian/patches: Fix typo.
  * Fix racy spanner test. Closes: #891356

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Feb 2018 13:30:54 +0000

golang-google-cloud (0.9.0-4) unstable; urgency=high

  * Fix FTBFS with golang 1.10. Closes: #890938.
  * Bump Standards-Vesion with no changes.

 -- Martín Ferrari <tincho@debian.org>  Sat, 24 Feb 2018 11:02:49 +0000

golang-google-cloud (0.9.0-3) unstable; urgency=medium

  * Stop using pristine-tar.
  * Backport fix to protobuf changes in golang-google-genproto-dev.
    Closes: 884406.

 -- Martín Ferrari <tincho@debian.org>  Thu, 04 Jan 2018 11:49:56 +0000

golang-google-cloud (0.9.0-2) unstable; urgency=high

  * Disable more flaky tests, as package is still failing to build some times.

 -- Martín Ferrari <tincho@debian.org>  Wed, 20 Sep 2017 12:33:09 +0000

golang-google-cloud (0.9.0-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/control: Remove unneded versioned deps.
  * debian/copyright: Format uses http protocol instead of https.
  * Add watch file.

  [ Shengjing Zhu ]
  * New upstream release (Closes: #873514)
  * Refresh patches
    + Drop 0001-Bug#840311-fix-test-timeouts.patch
    + Drop 0002-Failing_test.patch
    + Rework patch that disable network access in testing
  * Update new Build-Depends
    + Add golang-github-golang-mock-dev Build-Depends
    + Bump golang-google-grpc-dev to 1.6.0
    + Bump golang-github-googleapis-gax-go-dev to 0.0~git20170902.8c160ca
    + Bump golang-google-api-dev to 0.0~git20170907.b1ecfb3
  * Update compat and dh to 10
  * Update pkg-go team name
  * Change priority to optional
  * No more internal/cloud.go in golang-google-cloud-compute-metadata-dev
  * Run short test only

 -- Martín Ferrari <tincho@debian.org>  Wed, 20 Sep 2017 09:02:31 +0000

golang-google-cloud (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on 32 bit. (Closes: #860699)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 27 Apr 2017 22:30:57 +0200

golang-google-cloud (0.5.0-1) unstable; urgency=medium

  * Start following upstream history (branch upstream-ng), using the new
    repository.
  * Switch to the new cloud.google.com/go tree, and provide a compatibility
    tree.
  * New upstream release. Closes: #846322
  * Update patches.
  * Update dependencies.
  * Ensure the transition from symlink to directory is handled correctly.
    Closes: #846799
  * Disable test which accesses the network.

 -- Martín Ferrari <tincho@debian.org>  Fri, 16 Dec 2016 18:32:29 +0000

golang-google-cloud (0.0~git20160615-6) unstable; urgency=medium

  * Remove compatibility symlinks, as those clash with golang's rules about
    internal packages. Closes: 844074.
  * Instead, duplicate the source tree and replace all references to the old
    import path.
  * Depend on latest version of x/oauth2/google to avoid more circular dep
    problems.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 05:43:11 +0000

golang-google-cloud (0.0~git20160615-5) unstable; urgency=medium

  * Use Xs-Go-Import-Path.
  * Try to simplify a bit the packaging.
  * Remove unneeded patch, instead install testdata.
  * Remove canonical import paths, so compatibility symlinks can be used.
  * Add compatibility symlinks for google.golang.org/cloud.
  * Update x/net package name.

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Nov 2016 17:22:49 +0000

golang-google-cloud (0.0~git20160615-4) unstable; urgency=medium

  * Add myself to Uploaders.
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Increase timeouts in tests to avoid build failures. Closes: #840311.

 -- Martín Ferrari <tincho@debian.org>  Fri, 21 Oct 2016 17:42:30 +0000

golang-google-cloud (0.0~git20160615-3) unstable; urgency=medium

  * Team upload.
  * Fix bad install dependencies in d/control.

 -- Tim Potter <tpot@hpe.com>  Wed, 05 Oct 2016 15:44:09 +1100

golang-google-cloud (0.0~git20160615-2) unstable; urgency=medium

  * Team upload.
  * Fix bad B-D's in d/control.

 -- Tim Potter <tpot@hpe.com>  Tue, 27 Sep 2016 11:37:06 +1000

golang-google-cloud (0.0~git20160615-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tim Potter ]
  * Newer upstream snapshot (Closes: #835742)

 -- Tim Potter <tpot@hpe.com>  Tue, 06 Sep 2016 12:18:36 +1000

golang-google-cloud (0.0~git20160413-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot (Closes: #823475)
  * Build golang-google-compute-dev package
  * Standards-Version: 3.9.8
  * Use https for VCS-Browser field
  * Don't use Built-Using for -dev packages
  * Add docs file for both binary packages
  * Add examples

 -- Tim Potter <tpot@hpe.com>  Tue, 17 May 2016 12:15:42 +1000

golang-google-cloud (0.0~git20150613-1) unstable; urgency=medium

  * Initial release (Closes: #788778)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 14 Jun 2015 00:21:22 +0200
